Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596481 - [abrt] crash in istanbul-0.2.2-14.fc13: rq.py:848:parse_value:RuntimeError: maximum recursion depth exceeded
[abrt] crash in istanbul-0.2.2-14.fc13: rq.py:848:parse_value:RuntimeError: m...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: istanbul (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:5a4d50db
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 15:41 EDT by Vincenzo
Modified: 2014-02-15 09:58 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:44:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (173.78 KB, text/plain)
2010-05-26 15:41 EDT, Vincenzo
no flags Details
new bug (160.79 KB, text/plain)
2010-05-28 01:41 EDT, Vincenzo
no flags Details
lspci -vvv output. (33.09 KB, application/octet-stream)
2010-07-01 15:35 EDT, Nicolas Troncoso Carrere
no flags Details

  None (edit)
Description Vincenzo 2010-05-26 15:41:35 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/istanbul
component: istanbul
executable: /usr/bin/istanbul
kernel: 2.6.34-11.fc14.i686
package: istanbul-0.2.2-14.fc13
reason: rq.py:848:parse_value:RuntimeError: maximum recursion depth exceeded
release: Fedora release 13 (Goddard)
Comment 1 Vincenzo 2010-05-26 15:41:43 EDT
Created attachment 417007 [details]
File: backtrace
Comment 2 Jef Spaleta 2010-05-26 16:41:22 EDT
Was this under a virtual machine by any chance?

-jef
Comment 3 Vincenzo 2010-05-27 01:30:42 EDT
(In reply to comment #2)
> Was this under a virtual machine by any chance?
> 
> -jef

No, I was not running Fedora on a virtual machine.

[Message written with the help of google translate and reverso.net]
Comment 4 Jef Spaleta 2010-05-27 13:03:50 EDT
Hmm,

I can't reproduce this crash. Istanbul on my desktop appears to work as expected using the default record settings.  I'll need some more information from you if we are going to figure out what is going wrong.


Can you give me a description of the actions you took leading up to the crash?

Did the applet icon appear?

Did you change the record settings in the applet away from the defaults?

Did the icon change when you clicked the red circle record button?

Did stopping the record work when you hit the square stop button?

Did you get the save dialog window? 

Did the preview in the save dialog window work?

Did saving to disk work?

-jef
Comment 5 Vincenzo 2010-05-28 01:41:23 EDT
Created attachment 417480 [details]
new bug

new bug
Comment 6 Vincenzo 2010-05-28 01:41:45 EDT
I noticed that the bug occurs when compiz is enabled and when I use "Select Window to Record".

To produce the bug:

1) enable compiz: System -> Desktop effects
2) run istanbul
3) to select "Select Window to Record" and click on the "Title bar" of a window.
4)Start recording
6)The recording doesn't start ... I click repeatedly on the red circle (or close the window) and get a bug.


This is a video (I have used "recordMyDesktop") that shows the bug:http://www.megaupload.com/?d=FI4OGDK2
Comment 7 Vincenzo 2010-05-28 05:19:39 EDT
Other information:

> Did the applet icon appear?

Yes
 
> Did the icon change when you clicked the red circle record button?

No
 
> Did stopping the record work when you hit the square stop button?

The square stop button does not appear.

> Did you get the save dialog window? 

No
 
> Did saving to disk work?

No ... applet is blocked.
Comment 8 Vincenzo 2010-05-28 07:23:42 EDT
Please note: When I must select a window, I get the bug to select the "Title Bar" but if I click inside the window I do not get a bug.
Comment 9 Jef Spaleta 2010-05-28 14:07:38 EDT
Just to be clear... this only happens under compiz?  If you you the default metacity window manager instead does istanbul work as expected?

-jef
Comment 10 Vincenzo 2010-05-28 14:56:03 EDT
(In reply to comment #9)
> Just to be clear... this only happens under compiz? 

Yes

> If you you the default metacity window manager instead does istanbul work as expected?

Yes



I have this problem only when compiz is enabled. When compiz is disabled, istanbul correctly work (when use the function "Select Window to Record", I can click on the title bar or inside the window without finding bug).
Comment 11 A S Alam 2010-06-03 00:25:34 EDT
Package: istanbul-0.2.2-14.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Double click on ICON
2.  it was in KDE  Desktop
3.
Comment 12 A S Alam 2010-06-03 00:32:09 EDT
More Info:
1) Selected "Select Window to Record"
2) Not happening with Default Settings
3) No "Desktop Effects" used in KDE
Comment 13 Jef Spaleta 2010-06-04 13:18:39 EDT
Can you try one more test for me:

In a terminal set the environment variable:

GDK_NATIVE_WINDOWS=1

then run the istanbul command from that terminal. Does istanbul appear to run as expected with GDK_NATIVE_WINDOW=1 ?

The GDK_NATIVE_WINDOWS=1  disables the gtk client side window drawing feature. Since the crash is actually in code from python-xlib, I suspect its an incompatibility introduced by the new client side window feature of gtk.


-jef
Comment 14 Vincenzo 2010-06-06 08:33:35 EDT
(In reply to comment #13)
> Can you try one more test for me:
> 
> In a terminal set the environment variable:
> 
> GDK_NATIVE_WINDOWS=1
> 
> then run the istanbul command from that terminal. Does istanbul appear to run
> as expected with GDK_NATIVE_WINDOW=1 ?
> 
> The GDK_NATIVE_WINDOWS=1  disables the gtk client side window drawing feature.
> Since the crash is actually in code from python-xlib, I suspect its an
> incompatibility introduced by the new client side window feature of gtk.
> 
> 
> -jef   


Not working.
Video: http://www.megaupload.com/?d=L13CQUV1
Comment 15 Nicolas Troncoso Carrere 2010-07-01 11:17:53 EDT
Package: istanbul-0.2.2-14.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start istanbul
2. Select window to record (right click system tray)
3. Start recording (left click system tray)
Comment 16 Jef Spaleta 2010-07-01 15:24:02 EDT
Nicolas,

I'm still not able to reproduce this bug on my systems.  I realize this is very frustrating for everyone affected.  Makes me wonder if there is some sort of deep hardware dependency that makes this bug happen...but at this point I'm just hunting for potential unerlying causes. Can you tell me which video driver you are running?

-jef
Comment 17 Nicolas Troncoso Carrere 2010-07-01 15:35:27 EDT
Created attachment 428536 [details]
lspci -vvv output.

The driver I'm currently usign is provided by:
kmod-nvidia-195.36.24-2.fc13.1.x86_64

My desktop environment is:
Platform Version 4.4.4 (KDE 4.4.4)

I installed an tried qt-recordmydesktop which looks very similar. That app works ok without problem.

Since istanbul is gnome could it be a KDE specific issue?
Comment 18 Jef Spaleta 2010-07-01 15:56:09 EDT
no... its not a kde specific issue.  the problem is in the python-xlib machinery that istanbul is using...which is agnostic.  I need to find some nvidia hardware to test on and try to reproduce.  All i have locally is intel video hardware.

If recordmydesktop is working for you... just use that.  I bet gtk-recordmydesktop works for you to.

Istanbul is one of a very few handful of programs that use the python-xlib codebase. Istanbul itself is actually a very thin wrapper over python-xlib and gstreamer..essentially to handle the UI. The problem you are encountering is happening for other programs that use python-xlib as well. But I can't reproduce those problems either.

-jef
Comment 19 Nicolas Troncoso Carrere 2010-07-01 17:23:34 EDT
Do you have a script that should reproduce the problem. That only executes the offending part of istanbul that i could run on my computer?

I just did a fast sweep over the code, but don't have much time to go into it.

It would be very nice if you have a test script that should reproduce the issue.
Comment 20 Michael Hampton 2010-07-20 14:05:33 EDT
I use GNOME and can reproduce this reliably by switching window manager to KWin (using kwin --replace). The options I am using are: Record 3D, Record Sound, and selecting a specific window. Once I click Record, the icon changes to the stop icon, but I receive the crash message. The save to disk dialog never appears.
Comment 21 Jef Spaleta 2010-07-20 16:06:48 EDT
Michael,

Great! 
I'll try to reproduce this scenario on my system. If I can reproduce it there's a good chance I can nail that one and get it patched. Though I think you might have stumbled onto something different than the more common python-xlib related problem.

one question.  are you running istanbul already when you do the Kwin replace? Or do you fireup istanbul after the replace?

-jef
Comment 22 Michael Hampton 2010-07-20 16:43:24 EDT
Jef,

I'm stopping istanbul (killall istanbul) and restarting it after changing window managers.

I should also note (I seem to have forgotten) the specific window I am trying to record is World of Warcraft running in Wine. I have yet to try recording any other windows; I've had no particular need to do so. :)
Comment 23 Guy Van Den Bergh 2010-11-14 14:01:55 EST
Package: istanbul-0.2.2-14.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Launch Istanbul
2. Select a window to record (from the taskbar menu)
3. Crash.
Comment 24 YASS3R 2011-02-26 18:33:43 EST
Package: istanbul-0.2.2-15.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.runing istanbul application 
2.
3.
Comment 25 southen 2011-04-06 16:50:58 EDT
Package: istanbul-0.2.2-15.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I tried running the program, and used "select window" several times before I got this crash.
Comment 26 Bug Zapper 2011-06-02 09:22:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Daniel Lefebvre 2011-06-23 11:28:08 EDT
Package: istanbul-0.2.2-15.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Launched Istanbul
2.Pressed Record
3.Software reported a crach but did not close


Comment
-----
The software reported a crash but did not close. Left clicking the icon again put the software is Saving mode, but that did not terminate. Had to kill the process, no output was created.
Comment 28 Bug Zapper 2011-06-27 12:44:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 29 Daniel Lefebvre 2011-06-27 14:25:38 EDT
My bug report for this was from a Fedora 14 install -- not 13.
Comment 30 machinegodzilla 2012-07-26 13:07:57 EDT
Reporting from Fedora 16 Linux 3.3.0-4.fc16.x86_64

istanbul x86_64 0.2.2-16.fc15


Can you give me a description of the actions you took leading up to the crash?

The problem occurs when "Select Window to Record" is enabled.


Did the applet icon appear?

Yes.


Did the icon change when you clicked the red circle record button?

Yes + The bug reporting tool window poped up.


Did stopping the record work when you hit the square stop button?

No, only the icon changed.


Did you get the save dialog window? 

No.
Comment 31 Maxim Egorushkin 2014-02-15 09:58:23 EST
Still having this issue on Fedora 19.

Any known workaround, please?

Note You need to log in before you can comment on or make changes to this bug.